{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block styles %}
{{super()}}
    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.2/css/bootstrap-select.min.css">

{% endblock %}

{% block popular_community%}
<center>
<div id="piechart" style="width: 360px; height: auto;"></div>
<div id="chart_div" style="width: 360px; height: auto;"></div>
<p>&nbsp;</p>
<div id="series_chart_div" style="width: 360px; height: auto"></div>
</center>
{% endblock popular_community %}



{% block app_content %}
    {% if current_user.is_anonymous %}
    <h3>&nbsp;</h3>
    {% else %}
    <h3>{{ _('Hi, %(username)s!', username=current_user.username) }}</h3>
    {% endif %}
    
    {% if form %}


    <div class="align-content-center">
        <form method="POST" action="" enctype="multipart/form-data">
          {{form.hidden_tag() }}

         
          <br>

          <div class="form-group">
          {{form.community.label(class="form-control-label") }}
          {% if form.community.errors %}
            {{form.community}}
              <div class='invalid-feedback'>
                {% for error in form.community.errors %}
                    <small class="text-danger">{{ error }}</small>
                {% endfor%}
              </div>
          {% else %}
            {{ form.community }}
          {% endif%}
          </div>
          <br>
    

          <div class="form-group">
            {{ form.material_pub_rdo_btn.label(class="form-control-label") }}
            <br>
            {% if form.material_pub_rdo_btn.errors %}
                  {% for r in form.material_pub_rdo_btn %}
                  <!-- <img height="20" style="z-index: -1; position:relative; left: 1px; top:20px;" src="{{ static_logo_folder}}{{r.data}}"/> -->
                    <div class="custom-control custom-radio">   
                      {{ r(class="custom-control-input") }}
                      {{ r.label(class="custom-control-label") }}
                    </div>
                  {% endfor %}
                  <div class='invalid-feedback'>
                    {% for error in form.material_pub_rdo_btn.errors %}
                        <small class="text-danger">{{ error }}</small>
                    {% endfor%}
                  </div>
            {% else %}
                  {% for r in form.material_pub_rdo_btn %}
                    <div class="custom-control custom-radio">   
                      {{ r(class="custom-control-input") }}
                      {{ r.label(class="custom-control-label") }}
                    </div>
                  {% endfor %}
            {% endif%}
          </div>
          


          <div class="form-group">
            {{form.sarai_title.label(class="form-control-label") }}
            {% if form.sarai_title.errors %}
              {{form.sarai_title(class="form-control")}}
                <div class='invalid-feedback'>
                  {% for error in form.sarai_title.errors %}
                      <small class="text-danger">{{ error }}</small>
                  {% endfor%}
                </div>
            {% else %}
              {{ form.sarai_title(class="form-control") }}
            {% endif%}
            </div>


          <div class="form-group">
            {{form.creators.label(class="form-control-label") }}
            {% if form.creators.errors %}
              {{form.creators(class="form-control")}}
                <div class='invalid-feedback'>
                  {% for error in form.creators.errors %}
                      <small class="text-danger">{{ error }}</small>
                  {% endfor%}
                </div>
            {% else %}
              {{ form.creators(class="form-control") }}
            {% endif%}
          </div>
    
          <div class="form-group">
              {{form.post.label(class="form-control-label") }}
              {% if form.post.errors %}
                {{form.post(class="form-control")}}
                  <div class='invalid-feedback'>
                    {% for error in form.post.errors %}
                        <small class="text-danger">{{ error }}</small>
                    {% endfor%}
                  </div>
              {% else %}
                {{ form.post(class="form-control") }}
              {% endif%}
          </div>
    
          <div class="form-group">
              {{form.publication_date.label(class="form-control-label") }}
              {% if form.publication_date.errors %}
                {{form.publication_date(class="form-control")}}
                  <div class='invalid-feedback'>
                    {% for error in form.publication_date.errors %}
                        <small class="text-danger">{{ error }}</small>
                    {% endfor%}
                  </div>
              {% else %}
                {{ form.publication_date(class="form-control") }}
              {% endif%}
          </div>

    
          <div class="form-group">
            {{ form.call_number.label(class="form-control-label")}}
            {{ form.call_number(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.physical_description.label(class="form-control-label")}}
            {{ form.physical_description(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.content_book_serial.label(class="form-control-label")}}
            {{ form.content_book_serial(class="form-control")}}
          </div>
        
          <div class="form-group">
            {{ form.physical_extension_page.label(class="form-control-label")}}
            {{ form.physical_extension_page(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.bibliographic_note.label(class="form-control-label")}}
            {{ form.bibliographic_note(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.catalog_source.label(class="form-control-label")}}
            {{ form.catalog_source(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.circulation_number.label(class="form-control-label")}}
            {{ form.circulation_number(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.accession_number.label(class="form-control-label")}}
            {{ form.accession_number(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.bersyon.label(class="form-control-label")}}
            {{ form.bersyon(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.location.label(class="form-control-label")}}
            {{ form.location(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.status.label(class="form-control-label")}}
            {{ form.status(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.additional_notes.label(class="")}}
            {{ form.additional_notes(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{ form.keywords.label(class="")}}
            {{ form.keywords(class="form-control")}}
          </div>
    
          <div class="form-group">
            {{form.access_right.label(class="form-control-label") }}
            {% if form.access_right.errors %}
                {% for subfield in form.access_right %}
                    <div class="custom-control custom-radio">
                    {{ subfield(class="custom-control-input") }}
                    {{ subfield.label(class="custom-control-label") }}
                    </div>
                {% endfor %}
                <div class='invalid-feedback'>
                  {% for error in form.access_right.errors %}
                      <small class="text-danger">{{ error }}</small>
                  {% endfor%}
                </div>
                
            {% else %}
                {% for subfield in form.access_right %}
                    <div class="custom-control custom-radio">
                    {{ subfield(class="custom-control-input") }}
                    {{ subfield.label(class="custom-control-label") }}
                    </div>
                {% endfor %}
            {% endif%}
          </div>

          <div class="form-group">
            {{ form.submit(class="btn btn-success")}}
          </div>
    
          <br>

    
        </form>
    
      </div>







    <br>
    {% endif %}
    {% for post in posts %}
        {% include '_post.html' %}
    {% endfor %}
    <nav aria-label="...">
        <ul class="pager">
            <li class="previous{% if not prev_url %} disabled{% endif %}">
                <a href="{{ prev_url or '#' }}">
                    <span aria-hidden="true">&larr;</span> {{ _('Newer posts') }}
                </a>
            </li>
            <li class="next{% if not next_url %} disabled{% endif %}">
                <a href="{{ next_url or '#' }}">
                    {{ _('Older posts') }} <span aria-hidden="true">&rarr;</span>
                </a>
            </li>
        </ul>
    </nav>
{% endblock %}

{% block scripts %}

{%if not popular_community_type or not popular_community_sliced or not mm_pp_big_title%}
{{''}}
{%else%}
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
      google.charts.load('current', {'packages':['corechart']});
      google.charts.setOnLoadCallback(drawVisualization);

      var popular_community_type  = JSON.parse('{{popular_community_type|tojson}}');

      function drawVisualization() {
        var data = google.visualization.arrayToDataTable(popular_community_type);

        var options = {
          title : 'Popular Community (by monthly views)',
          vAxis: {title: 'Views'},
          hAxis: {title: 'Month'},
          seriesType: 'bars',
          /*series: {5: {type: 'line'}}*/
        };

        var chart = new google.visualization.ComboChart(document.getElementById('chart_div'));
        chart.draw(data, options);
      }


      var popular_community_sliced = JSON.parse('{{popular_community_sliced|tojson}}');
      google.charts.setOnLoadCallback(drawChart);
      function drawChart() {
        var data = google.visualization.arrayToDataTable(popular_community_sliced);

        var options = {
          title: 'Popular Community (by views)',
          legend: 'none',
          pieSliceText: 'label',
          slices: {  4: {offset: 0.2},
                    12: {offset: 0.3},
                    14: {offset: 0.4},
                    15: {offset: 0.5},
          },
        };

        var chart = new google.visualization.PieChart(document.getElementById('piechart'));
        chart.draw(data, options);
      }




      google.charts.setOnLoadCallback(drawSeriesChart);

      var mm_pp_big_title = JSON.parse('{{mm_pp_big_title|tojson}}');
      function drawSeriesChart() {

        var data = google.visualization.arrayToDataTable(mm_pp_big_title);
        
        
        var options = {
          title: 'Recommended Publication/Item Based on Popularity',
          /*hAxis: {title: 'Life Expectancy'},
          vAxis: {title: 'Fertility Rate'}, */
          colorAxis: {colors: ['yellow', 'green']},
          bubble: {textStyle: {fontSize: 1}}
        };
  
        var chart = new google.visualization.BubbleChart(document.getElementById('series_chart_div'));
        chart.draw(data, options);
      }



    </script>

{%endif%}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.2/js/bootstrap-select.min.js"></script>


{% if form %}
<script>
    
    $(document).ready(function(){
        const community_type_c = JSON.parse('{{form.community.raw_data|tojson}}');
        $('select[name=community]').val(community_type_c);
        
       });
   
</script>
{% endif %}

{{super()}}
{% endblock %}